package com.ims.eval.entity;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.time.LocalDateTime;
import java.util.Date;

import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 责任书指标明细


 * </p>
 *
 * @author wang
 * @since 2023-03-08
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class ResponsibilityIndicatorInfo extends Model {

    private static final long serialVersionUID = 1L;

    /**
     * 主键id
     */
    private String id;

    /**
     * 责任书id
     */
    private String deptResponsibilityId;

    /**
     * 指标名称
     */
    private String indicatorName;

    /**
     * 指标编码
     */
    private String indicatorCode;

    /**
     * 选项编码
     */
    private String optionCode;

    /**
     * 选项名称
     */
    private String optionName;

	/**
	 * 量化指标值
	 */
	private double quantifiedValue;

	/**
	 * 非量化指标值
	 */
    private String nonQuantifiedValue;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 创建者
     */
    private String createBy;

    /**
     * 更新时间
     */
    private Date updateTime;

    /**
     * 更新者
     */
    private String updateBy;

	/**
	 * 备注
	 */
	private String remark;


}
