package com.ims.eval.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ims.eval.entity.Indicator;
import com.ims.eval.entity.IndicatorDictionary;

import java.util.List;
import java.util.Map;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author wang
 * @since 2023-02-26
 */
public interface IIndicatorService extends IService<Indicator> {


	IPage<Indicator> list(Integer pageNum, Integer pageSize, String id, String indicatorName, String indicatorCede, String binSection, String binStage, String dept, String company);

	List<Indicator> listAll(String id, String indicatorName, String indicatorCede, String binSection, String binStage, String dept, String company);

	Indicator selectByCode(String indicatorCode);
}
