package com.ims.eval.controller;


import com.ims.core.controller.WebController;
import com.ims.eval.entity.Indicator;
import com.ims.eval.entity.IndicatorDictionary;
import com.ims.eval.entity.Report;
import com.ims.eval.service.IIndicatorDictionaryService;
import com.ims.eval.service.IReportService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.ui.Model;
import org.springframework.web.bind.annotation.RequestMapping;

import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * <p>
 * 指标字典表 前端控制器
 * </p>
 *
 * @author wang
 * @since 2023-02-26
 */
@RestController
@RequestMapping("//indicator-dictionary")
public class IndicatorDictionaryController  {


	@Autowired
	private IIndicatorDictionaryService indicatorDictionaryService;

	//@ImsPreAuth("eval:indicator:view")
	@RequestMapping(value = "list")
	public List<IndicatorDictionary> list() {
		List<IndicatorDictionary> list = indicatorDictionaryService.list();
		return list;
	}

}
